;;;; Copyright 2005 Juri Pakaste
;;;; 
;;;; This file is part of Lukutoukka.
;;;; 
;;;; Lukutoukka is free software; you can redistribute it and/or modify
;;;; it under the terms of the GNU General Public License as published by
;;;; the Free Software Foundation; either version 2 of the License, or
;;;; (at your option) any later version.
;;;; 
;;;; Lukutoukka is distributed in the hope that it will be useful,
;;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;;; GNU General Public License for more details.
;;;; 
;;;; You should have received a copy of the GNU General Public License
;;;; along with Lukutoukka; if not, write to the Free Software
;;;; Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

(define-module (lukutoukkalib main)
  #:export (lukutoukka-start +program-name+ +program-version+)
  #:use-module (gnome-0)
  #:use-module (gnome gnome)
  #:use-module (lukutoukkalib utils)
  #:use-module (lukutoukkalib ui mainwindow))

(define +program-name+ "Lukutoukka")
(define +program-version+ "0.1")

(define (lukutoukka-start installation-prefix)
  (set-installation-prefix installation-prefix)
  (gnome-program-init +program-name+ +program-version+)
  (show-main-window))

